import Certificate from "@/src/portfolio/helpers/Certificate";
import Education from "@/src/portfolio/helpers/Education";
import styles from "../styling/achievements.module.scss";
import educationData from "@/src/portfolio/data/educationData";
import certificateData from "@/src/portfolio/data/certificateData";

const Achievements = (): JSX.Element => {
	return (
		<div className={styles.section} id={"achievements"}>
			<div>
				<h2>Education:</h2>
				{
					educationData.map((entry, index) => {
						return <Education {...entry} key = {index}/>;
					})
				}
			</div>
			<div>
				<h2>Certificates and Awards:</h2>
				{
					certificateData.map((entry, index) => {
						return <Certificate {...entry} key = {index}/>;
					})
				}
			</div>
		</div>
	);
};

export default Achievements;
